Data Science Dojo <br/>
Copyright (c) 2016 - 2019

---

**Level** Intermediate <br/>
**Recommended Use:** Regression Models<br/>
**Domain:** Automobiles<br/> 

## Auto MPG Data Set 

### Can you predict the fuel-efficieny of a car? 


---
![](tim-mossholder-680992-unsplash.jpg)
---

This *intermediate* level data set has 398 rows and 9 columns and provides mileage, horsepower, model year, and other technical specifications for cars. This data set is recommended for learning and practicing your skills in **exploratory data analysis**, **data visualization**, and **regression modelling techniques**. Feel free to explore the data set with multiple **supervised** and **unsupervised** learning techniques. The Following data dictionary gives more details on this data set:

---

### Data Dictionary 

 **Column Position**|**Attribute Name**|**Description**                                             |**Examples**               |**Attribute Type**   |**Nulls Ratio** 
|-------------------|------------------|------------------------------------------------------------|---------------------------|---------------------|----------------|
|     #1            |   mpg            |  fuel efficiency measured in miles per gallon (mpg)        | 9.0, 13.0, 41.5           | quantitative        | 0%             |
|     #2            |   cylinders      |  number of cylinders in the engine                         | 3, 4, 8                   | qualitative         | 0%             |    
|     #3            |   displacement   |  engine displacement (in cubic inches)                     | 68.0, 112.0, 455.0        | quantitative        | 0%             |  
|     #4            |   horsepower     |  engine horsepower                                         | 46.0, 70.0, 230.0         | quantitative        | 2%             |
|     #5            |   weight         |  vehicle weight (in pounds)                                | 1613, 3615, 5140          | quantitative        | 0%             |
|     #6            |   acceleration   |  time to accelerate from O to 60 mph (in seconds)          | 8.00, 15.50, 24.80        | quantitative        | 0%             |
|     #7            |   model year     |  model year                                                | 73, 79, 82                | qualitative         | 0%             |
|     #8            |   origin         |  origin of car (1: American, 2: European, 3: Japanese)     | 1, 2, 3                   | qualitative         | 0%             |
|     #9            |   car name       |  car name                                                  | audi fox, subaru          | qualitative         | 0%             |
---

### Acknowledgement


This data set has been sourced from the Machine Learning Repository of University of California, Irvine [Auto MPG Data Set (UC Irvine)](https://archive.ics.uci.edu/ml/datasets/auto+mpg). The UCI page mentions [StatLib (Carnegie Mellon University)](http://lib.stat.cmu.edu/datasets/) as the original source of the data set.  